import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'Config' },
})
export class Config extends BaseModel {
  @prop({ required: false, index: false, zh: 'logo' })
  logo_url: Array<any>;
  @prop({ required: false, index: false, zh: '男头像' })
  boy_url: Array<any>;
  @prop({ required: false, index: false, zh: '女头像' })
  girl_url: Array<any>;
  @prop({ required: false, index: false, zh: '用户协议' })
  agree: string;
  @prop({ required: false, index: false, zh: '底部文案' })
  bottom_title: string;
}
