import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { ShopSetting } from '../entity/ShopSetting.entity';
type modelType = ReturnModelType<typeof ShopSetting>;
@Provide()
export class ShopSettingService extends BaseService<modelType> {
  @InjectEntityModel(ShopSetting)
  model: modelType;
}
