import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Specs } from '../entity/Specs.entity';
type modelType = ReturnModelType<typeof Specs>;
@Provide()
export class SpecsService extends BaseService<modelType> {
  @InjectEntityModel(Specs)
  model: modelType;
}
