import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'Cart' },
})
export class Cart extends BaseModel {
  @prop({ required: false, index: true, zh: '用户' })
  user: string;
  @prop({ required: false, index: true, zh: '商品id' })
  goods: string;
  @prop({ required: false, index: true, zh: '供应商' })
  supplier_id: string;
  @prop({ required: false, index: true, zh: '商品规格id' })
  spec: string;
  @prop({ required: false, index: false, zh: '数量' })
  num: number;
  @prop({ required: false, index: true, zh: '单价金额' })
  money: number;
  @prop({ required: false, index: true, zh: '总价金额' })
  total_money: number;
}
