import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { DictData } from '../entity/DictData.entity';
type modelType = ReturnModelType<typeof DictData>;
@Provide()
export class DictDataService extends BaseService<modelType> {
  @InjectEntityModel(DictData)
  model: modelType;
}
