import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Office } from '../entity/Office.entity';
type modelType = ReturnModelType<typeof Office>;
@Provide()
export class OfficeService extends BaseService<modelType> {
  @InjectEntityModel(Office)
  model: modelType;
}
